%define oname   cairo

Name:       ruby-%{oname}
Version:    1.10.0
Release:    %mkrel 3
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        http://cairographics.org/rcairo
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     cairo-1.10.0-do-not-call-make-in-test.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: cairo-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Requires:   ruby(abi) = 1.8
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

%check
#ruby -I%{buildroot}%{ruby_vendorlibdir} -I%{buildroot}%{ruby_vendorarchdir} -Itest \
#  test/run-test.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun May 08 2011 shikamaru <shikamaru> 1.10.0-3.mga1
+ Revision: 96270
- Add provides due to different naming schemes upstream between the gem and tarball

* Mon Mar 14 2011 shikamaru <shikamaru> 1.10.0-2.mga1
+ Revision: 71425
- disable test for the moment
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 1.10.0-1.mga1
+ Revision: 48935
- imported package ruby-cairo


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.10.0-1
- Apply new ruby policy
- Apply general mageia rules
- New version 1.10.0
- Rename rcairo to ruby-cairo (according to the name on rubygems.org)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.0-3mdv2011.0
+ Revision: 607315
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.0-2mdv2010.1
+ Revision: 523904
- rebuilt for 2010.1

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.0-1mdv2010.0
+ Revision: 372224
- update to new version 1.8.0

* Sat Jul 05 2008 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 231951
- New version 1.6.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 50534
- Provide rcairo
- Fix group in binary packages

* Wed Apr 25 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 18012
- 1.4.1
- Use Development/Ruby group
- Remove svgcairo subpackage, no longer included
- rcairo switched from setup.rb to extconf.rb
- Import rcairo



* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Mon Sep 26 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.20050926.1mdk
- first release
